;InnoSetupVersion=2.0.18

[Setup]
AppName=ExaWare FileEngineer
AppVerName=ExaWare FileEngineer 1.0
AppId=ExaWare FileEngineer
AppVersion=1.0
AppPublisher=ExaWare
AppPublisherURL=http://www.esat.kuleuven.ac.be/~mgregoir/
AppSupportURL=http://www.esat.kuleuven.ac.be/~mgregoir/forum/
AppUpdatesURL=http://www.esat.kuleuven.ac.be/~mgregoir/FileEngineer.htm
AppMutex=ExaWareFileEngineerMutex
DefaultDirName=C:\Program Files\ExaWare\FileEngineer
DefaultGroupName=ExaWare\FileEngineer
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\FileEngineer.exe"; DestDir: "{app}"; 
Source: "{app}\oleacc.dll"; DestDir: "{app}"; 
Source: "{app}\Readme.txt"; DestDir: "{app}"; 
Source: "{app}\FileEngineer.chm"; DestDir: "{app}"; 

[Registry]
Root: HKCU; Subkey: "Software\ExaWare"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\ExaWare\FileEngineer"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Folder\shell"; Tasks: shellintegration; Flags: uninsdeletekeyifempty 
Root: HKCR; Subkey: "Folder\shell\FileEngineer"; ValueType: String; ValueData: "FileEngineer..."; Tasks: shellintegration; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Folder\shell\FileEngineer\command"; ValueType: String; ValueData: """{app}\FileEngineer.exe"" ""%1"""; Tasks: shellintegration; Flags: uninsdeletekey 

[Run]
Filename: "{app}\Readme.txt"; Description: "View the ExaWare FileEngineer Readme"; Flags: shellexec postinstall skipifsilent nowait
Filename: "{app}\FileEngineer.exe"; Description: "Launch ExaWare FileEngineer"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\FileEngineer"; Filename: "{app}\FileEngineer.exe"; 
Name: "{group}\FileEngineer Help"; Filename: "{app}\FileEngineer.chm"; 
Name: "{group}\FileEngineer Readme"; Filename: "{app}\Readme.txt"; 
Name: "{userdesktop}\ExaWare FileEngineer"; Filename: "{app}\FileEngineer.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\ExaWare FileEngineer"; Filename: "{app}\FileEngineer.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 
Name: "shellintegration"; Description: "&Shell Integration (add ""FileEngineer..."" to right-click menu in Explorer)"; GroupDescription: "Shell Integration:"; 
